repa-3.2.3.3: High performance, regular, shape polymorphic parallel arrays.

Safe Haskell | None

Data.Array.Repa.Repr.HintSmall

Synopsis

- data S r1
- hintSmall :: Array r1 sh e -> Array (S r1) sh e

# Documentation

data S r1 Source

Hints that evaluating this array is only a small amount of work. It will be evaluated sequentially in the main thread, instead of in parallel on the gang. This avoids the associated scheduling overhead.

Instances

Source r1 a => Source (S r1) a |
(Shape sh, LoadRange r1 sh e) => LoadRange (S r1) sh e |
(Shape sh, Load r1 sh e) => Load (S r1) sh e |
Structured r1 a b => Structured (S r1) a b |
Read (Array r1 sh e) => Read (Array (S r1) sh e) |
Show (Array r1 sh e) => Show (Array (S r1) sh e) |

hintSmall :: Array r1 sh e -> Array (S r1) sh eSource

Wrap an array with a smallness hint.